name="MESA"
patches_dir="mesa_patches"
clone_directory="mesa"
clone_command="git clone --depth 1 --branch mesa-20.3.4 https://gitlab.freedesktop.org/mesa/mesa.git"
configure_command="meson build -Dplatforms=x11,wayland -Ddri3=true -Dgallium-drivers=swrast,etnaviv,kmsro,virgl -Dgbm=enabled -Degl=enabled -Dbuildtype=release -Db_ndebug=true"
build_command="ninja -C build install"

## Hooks
function post_clone_hook {
    return
}

function post_configure_hook {
    return
}

function post_install_hook {
    ldconfig
}
